//***************************************************************************
//
//  File........: main.c
//
//  Author(s)...: ATMEL Norway
//
//  Target(s)...: ATmega169
//
//  Compiler....: IAR EWAAVR 2.28a
//
//  Description.: AvrStudio4 LCD demo main module
//
//  Revisions...: 1.0
//
//	changes : 
//	15.11.2007 	port to avr-gcc/avr-libc  	Andreas Linke
//	- the most changes are commented starts with // al
//
//***************************************************************************

// #include <inavr.h>  al
// #include "iom169.h" al

#include "LCD_functions.h"
#include "LCD_driver.h"
// new include 
#include <avr/io.h>
#include <avr/interrupt.h>


/*****************************************************************************
*
*   Function name : main
*
*   Returns :       None
*
*   Parameters :    None
*
*   Purpose :       Contains the main loop of the program
*
*****************************************************************************/
// al __C_task void main(void)	
int main(void)
{    
    
    LCD_Init();                 // initialize the LCD
	sei();
    
//al    __enable_interrupt();       // enable global interrupt

    LCD_puts("ANDYS ported Demo",1);   // text to be displayed in the LCD

    while(1);                   // endless loop, waiting for LCD interrupts
	// al new while changed main function 
	return 0;
}
